#ifndef DEBUG_H
#define DEBUG_H

#ifndef SLEEP_H
#include "Sleep.h"
#endif

#ifndef USER_H
#include "User.h"
#endif

#ifndef TEXT_H
#include "Text.h"
#endif

inline int pp_count() 
{
    static int count = 0;
    return count++;
}

// Pause point
#define PP MM::to_user().status (MM::Text(pp_count()) + " Pause at line " + __LINE__ +" " + __FILE__); MM::sleep (1000);


#endif //DEBUG_H
